Subject: Re: [bug#37570] [PATCH] gnu: gtk+: Add libxrandr input.

From: Marius Bakke <[email-masked]>
Date: Wed, 09 Oct 2019 18:58:23 +0200

Hello Ingo,

Ingo Ruhnke <[email-masked]> writes:

> The issue with Xfce specifically was that "gdk_monitor_get_model()" would
> return NULL instead of the proper name and all the multi-monitor handling
> would fall apart in turn, that seems like an gtk issue, not an Xfce issue.
>
> As for "propagated-inputs", I put it there because that's where all the
> other X11 libraries already are. Don't know exactly why, but it seems to
> cause xrandr show up in the pkgconfig file which it wouldn't otherwise:
>
> pkgconfig/gdk-3.0.pc:
> Requires.private: ... xrandr ...

Thank you very much for this debugging work and patch.  Pushed to the
'staging' branch in 52b61e999101724c7e2d341586e9a6150614f208.